package sets;


import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;


// node that can be locked
class LockableNode<T> extends SequentialNode<T>
{
    private Lock lock = new ReentrantLock();

    @Override
    public void lock() {
        lock.lock();
    }

    @Override
    public void unlock() {
        lock.unlock();
    }

    LockableNode(T item) {
        super(item);
    }

    LockableNode(int key) {
        super(key);
    }
}
